# Type Alias Model<T>

type Model<T extends string = string> = {
color: string;
fields: Record<T, Configuration<T>>;
icon: string;
label: string;
mainType: string;
type: string;
}

#### Type Parameters

- T extends string = string

- Defined in jamespot-user-api/src/types/model.ts:358

##### Index

### Properties

color
fields
icon
label
mainType
type

## Properties

### color

color: string

- Defined in jamespot-user-api/src/types/model.ts:364

### fields

fields: Record<T, Configuration<T>>

- Defined in jamespot-user-api/src/types/model.ts:362

### icon

icon: string

- Defined in jamespot-user-api/src/types/model.ts:363

### label

label: string

- Defined in jamespot-user-api/src/types/model.ts:361

### mainType

mainType: string

- Defined in jamespot-user-api/src/types/model.ts:360

### type

type: string

- Defined in jamespot-user-api/src/types/model.ts:359